EDIT - feature request #9674

footnote keys for annotations to multilanguageText name descriptions inside brackets
06/16/2021 10:50 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal

Description

Gymnocalycium saglionis (Cels) Britton & Rose, Cactaceae 3: 157. 1922 [Original spelling of epithet should be maintained. JA
irgendwie fande ich es besser, wenn die Referenz-Fuf3note in der eckigen Klammer stehen wiirde.

http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/73560e8a-aecf-4326-90b2-4ed7bf7ecec?

Was passiert eigentlich, wenn es mehrere Notes gibt? Mehrere eckige Klammern? Wenn da konkateniert wiirde (was schéner ware),
musste die Referenz ja in die Klammer.

Related issues:
Related to EDIT - bug #9709: remove undesired dots from synonymy entries New

Associated revisions

Revision c4dd76b6 - 06/16/2021 11:07 AM - Andreas Kohlbecker

fix #9674 footnote keys for annotations to multilanguageText name descriptions inside brackets

Revision €9970345 - 06/16/2021 02:03 PM - Andreas Kohlbecker

ref #9674 footnote keys for annotations to multilanguageText name descriptions inside brackets - tests adapted

Revision 54127ad4 - 07/14/2021 05:26 PM - Andreas Kohlbecker

ref #9674 triming description_element->multilanguageText

Revision 591f74e1 - 07/14/2021 05:31 PM - Andreas Kohlbecker
ref #9674 removing dot

Revision b15c610a - 07/14/2021 05:46 PM - Andreas Kohlbecker
Revert "ref #9674 removing dot"

This reverts commit 591f74e183942{552e78098a794fc4bd20ba4824.

removing the dot raises 15 errors in the selenium tests, needs discussion!

History

#1 - 06/16/2021 11:07 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|c4dd76b64df4d09297b4335ac55be13e01833734.

#2 - 06/16/2021 03:45 PM - Andreas Miuller

Aber das original spelling wird hier nicht mit ausgegeben: as ,saglione” — kann man das einstellen? In CDM-light kommt’s wohl raus.

This part of the description does not seem to be handled in this ticket, so maybe we should remove it from the description? Otherwise you find this
ticket erronously when searching for original spelling issues.
http://caryophyllales.org/cactaceae/cdm_dataportal/taxon/73560e8a-aecf-4326-90b2-4ed7bf7ecec2
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/c4dd76b64df4d09297b4335ac55be13e01833734

#3 - 06/16/2021 04:45 PM - Andreas Kohlbecker

- Description updated
thanks for that hint.

#4 - 06/16/2021 05:03 PM - Andreas Miiller
- File picture939-1.png added

On the linked site above there is also an unnecessary whitespace before the closing bracket and a full stop after footnote key before "sec." . These
should also be removed if not yet done:

maintained{ }4ssec.

#5 - 07/14/2021 06:13 PM - Andreas Kohlbecker

This is the link to the according test-server portal page
http://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/cdm_dataportal/taxon/73560e8a-aecf-4326-90b2-4ed7bf7ecec2

| removed the space by trimming the description element text.

The dot at the end of the string needs more careful consideration as it seems if this could have been a requirement in some situations. Removing the
dot raises 15 errors in the selenium test. The need to release very soon does not allow to care for this now.

The request referenced in comment 2 seems to be misplaced since i can't find this text in the ticket description:

Aber das original spelling wird hier nicht mit ausgegeben: as ,saglione” — kann man das einstellen? In CDM-light kommt’s wohl raus.

So | am closing this issue now, please open a new ticket for the dot-issue if needed.

#6 - 07/14/2021 06:14 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#7 - 07/14/2021 06:28 PM - Andreas Miiller

Andreas Kohlbecker wrote:

The request referenced in comment 2 seems to be misplaced since i can't find this text in the ticket description:

It is not misplaced but deleted (by yourself in #note-3 as requested.

#8 - 07/14/2021 06:35 PM - Andreas Miiller
- Status changed from Closed to Feedback
- % Done changed from 100 to 90

Andreas Kohlbecker wrote:

The dot at the end of the string needs more careful consideration as it seems if this could have been a requirement in some situations. Removing
the dot raises 15 errors in the selenium test. The need to release very soon does not allow to care for this now.

Are we talking here about the dot after the end-bracket or before the footnote/at the end of the string. The later should stay, | agree. But | was talking
about the dot after the bracket. This is not needed as normally synonymy entries do not end with a dot and also before "sec." you never have a dot.

#9 - 07/14/2021 06:37 PM - Andreas Miller

By the way, the test portal puts the note to the end while on production it is before sec which makes the situation worse and definetely wrong

#10 - 07/15/2021 07:47 AM - Andreas Kohlbecker

- Related to bug #9709: remove undesired dots from synonymy entries added

#11 - 07/15/2021 07:48 AM - Andreas Kohlbecker
http://test.e-taxonomy.eu/dataportal/preview/caryophyllales_spp/cdm_dataportal/taxon/73560e8a-aecf-4326-90b2-4ed7bf7ecec2

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

new ticket for this: #9709

Files

picture939-1.png

04/17/2024

3.09 KB

06/16/2021

Andreas Muller

3/3


https://dev.e-taxonomy.eu/redmine/issues/9709
http://www.tcpdf.org

